#pragma once

namespace ta::application
{
    class IKeyInput
    {
    public:
        virtual ~IKeyInput() = default;
        [[nodiscard]] virtual bool pressed(int virtual_key) const noexcept = 0;
        [[nodiscard]] virtual int first_pressed_key() const noexcept = 0;
        virtual void clear_pressed_state() const noexcept = 0;
    };
}
